
stages:
  - build

upload-container:
  stage: build
  image: docker:latest
  services:
    - name: docker:dind
      command: ["--tls=false"]
  script:
    - env | sort
    - apk add git bash
    - git clone https://baltig.infn.it/mw-devel/helper-scripts.git helper-scripts
    - cp helper-scripts/scripts/* /usr/local/bin
    - docker login -u gitlab-ci-token -p ${CI_JOB_TOKEN} ${CI_REGISTRY}
    - export DOCKER_REGISTRY_HOST=${CI_REGISTRY}
    - export DOCKER_REGISTRY_NAMESPACE=${CI_PROJECT_PATH}
    - build-docker-image.sh && push-docker-image.sh
